Skip to main content
Quote / Variants

Get a model by model id

This method requires the QuoteVariants:Get permission to be associated with your role.

GET
/qt/models/{model_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
model_idstringrequired

Model Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success

data_source_idstring
Example: 100000
descriptionstring

Model Description

make_idstring

Make Id

model_codestring

Model Code

model_idstring

Model Id

status_flagenum<string>
Available options: active, inactive